Apply by doing:
	cd /usr/src
	patch -p0 < 012_httpd2.patch

And then rebuild and install httpd and its modules:
	cd usr.sbin/httpd
	make -f Makefile.bsd-wrapper obj
	make -f Makefile.bsd-wrapper cleandir
	make -f Makefile.bsd-wrapper depend
	make -f Makefile.bsd-wrapper
	make -f Makefile.bsd-wrapper install

If httpd had been started, you might want to run
	apachectl stop
before running "make install", and
	apachectl start
afterwards.

Index: usr.sbin/httpd/src/main/http_protocol.c
===================================================================
RCS file: /cvs/src/usr.sbin/httpd/src/main/http_protocol.c,v
retrieving revision 1.30
retrieving revision 1.30.2.1
diff -u -p -r1.30 -r1.30.2.1
--- usr.sbin/httpd/src/main/http_protocol.c	11 Feb 2006 19:15:57 -0000	1.30
+++ usr.sbin/httpd/src/main/http_protocol.c	26 Sep 2006 20:55:06 -0000	1.30.2.1
@@ -2922,7 +2922,8 @@ API_EXPORT(void) ap_send_error_response(
 	    ap_rvputs(r, "The expectation given in the Expect request-header"
 	              "\nfield could not be met by this server.<P>\n"
 	              "The client sent<PRE>\n    Expect: ",
-	              ap_table_get(r->headers_in, "Expect"), "\n</PRE>\n"
+	              ap_escape_html(r->pool, ap_table_get(r->headers_in,
+		      "Expect")), "\n</PRE>\n"
 	              "but we only allow the 100-continue expectation.\n",
 	              NULL);
 	    break;
